summaryrefslogtreecommitdiffstats
path: root/ci
diff options
context:
space:
mode:
authorGeorge Paraskevopoulos <geopar@intracom-telecom.com>2016-09-06 12:42:13 +0300
committerJose Lausuch <jose.lausuch@ericsson.com>2016-09-06 13:26:07 +0000
commit30d7616a885a47dcc5c127b40d9b2df13d6aadb6 (patch)
tree7d100760955b777eac95d0a3a6716430b99829e4 /ci
parente8af84a1bd81becee94d6a9b9513570f253c7c45 (diff)
Reduce logging in the SFC test case
JIRA: FUNCTEST-446 Reduce the logs that appear in the Jenkins CI console to make the output of the SFC test case more readable - Redirect tacker installation logs to results folder /home/opnfv/functest/results/odl-sfc.log - Split odl-sfc preparation into a new script - Pipe STDERR in the sfc.py script so that "Added to known hosts" messages do not show in the output Change-Id: Ibf871ade6827d4817f33623b935c5f1d904086bb Signed-off-by: George Paraskevopoulos <geopar@intracom-telecom.com>
Diffstat (limited to 'ci')
-rwxr-xr-xci/exec_test.sh17
1 files changed, 5 insertions, 12 deletions
diff --git a/ci/exec_test.sh b/ci/exec_test.sh
index deb505df9..e402e0c31 100755
--- a/ci/exec_test.sh
+++ b/ci/exec_test.sh
@@ -147,18 +147,11 @@ function run_test(){
python ${FUNCTEST_REPO_DIR}/testcases/features/domino.py $report
;;
"odl-sfc")
- bash ${FUNCTEST_REPO_DIR}/testcases/features/sfc/server_presetup_CI.bash
- ret_val=$?
- if [ $ret_val != 0 ]; then
- exit $ret_val
- fi
- bash ${FUNCTEST_REPO_DIR}/testcases/features/sfc/compute_presetup_CI.bash
- ret_val=$?
- if [ $ret_val != 0 ]; then
- exit $ret_val
- fi
- source ${FUNCTEST_REPO_DIR}/testcases/features/sfc/tackerc
- python ${FUNCTEST_REPO_DIR}/testcases/features/sfc/sfc.py $report
+ ODL_SFC_DIR=${FUNCTEST_REPO_DIR}/testcases/features/sfc
+ # pass FUNCTEST_REPO_DIR inside prepare_odl_sfc.bash
+ FUNCTEST_REPO_DIR=${FUNCTEST_REPO_DIR} bash ${ODL_SFC_DIR}/prepare_odl_sfc.bash || exit $?
+ source ${ODL_SFC_DIR}/tackerc
+ python ${ODL_SFC_DIR}/sfc.py $report
;;
"parser")
python ${FUNCTEST_REPO_DIR}/testcases/vnf/vRNC/parser.py $report